"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const transports = [];
const level = process.env.NVIM_NODE_LOG_LEVEL || 'debug';
if (process.env.NVIM_NODE_LOG_FILE) {
    transports.push(new winston.transports.File({
        filename: process.env.NVIM_NODE_LOG_FILE,
        level,
        json: false,
    }));
}
if (process.env.ALLOW_CONSOLE) {
    transports.push(winston.transports.Console);
}
const logger = new winston.Logger({
    level,
    transports,
});
exports.logger = logger;
